Bug 181150 - sysutils/entr update
Summary: sysutils/entr update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-08 23:10 UTC by Danilo Egêa Gondolfo
Modified: 2013-08-11 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (941 bytes, patch)
2013-08-08 23:10 UTC, Danilo Egêa Gondolfo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Egêa Gondolfo 2013-08-08 23:10:00 UTC
Updated from 2.1 to 2.2

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2013-08-09 06:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-08-11 07:48:58 UTC
Author: jgh
Date: Sun Aug 11 06:48:44 2013
New Revision: 324575
URL: http://svnweb.freebsd.org/changeset/ports/324575

Log:
  - update to 2.2
  - drop build and install steps in favor of declaration of MAKEFILE
    and MAKE_ARGS
  
  PR:		181150
  Submitted by:	danilogondolfo@gmail.com ( maintainer )

Modified:
  head/sysutils/entr/Makefile
  head/sysutils/entr/distinfo

Modified: head/sysutils/entr/Makefile
==============================================================================
--- head/sysutils/entr/Makefile	Sun Aug 11 05:43:04 2013	(r324574)
+++ head/sysutils/entr/Makefile	Sun Aug 11 06:48:44 2013	(r324575)
@@ -1,23 +1,19 @@
 # $FreeBSD$
 
 PORTNAME=	entr
-PORTVERSION=	2.1
+PORTVERSION=	2.2
 CATEGORIES=	sysutils
 MASTER_SITES=	http://entrproject.org/code/
 
 MAINTAINER=	danilogondolfo@gmail.com
 COMMENT=	Runs arbitrary commands when files change
 
-WRKSRC=	${WRKDIR}/eradman-entr-b621ace9ecba/
+WRKSRC=	${WRKDIR}/eradman-entr-963b395019be
 
+MAKEFILE=	Makefile.bsd
+MAKE_ARGS=	MANPREFIX=${PREFIX}/man
 PLIST_FILES=	bin/entr
 MAN1=	entr.1
-
-do-build:
-	cd ${WRKSRC} && ${MAKE} -f Makefile.bsd
-
-do-install:
-	cd ${WRKSRC} && ${INSTALL_PROGRAM} entr ${PREFIX}/bin/
-	cd ${WRKSRC} && ${INSTALL_MAN} ${MAN1} ${MAN1PREFIX}/man/man1/
+MANCOMPRESSED=	no
 
 .include <bsd.port.mk>

Modified: head/sysutils/entr/distinfo
==============================================================================
--- head/sysutils/entr/distinfo	Sun Aug 11 05:43:04 2013	(r324574)
+++ head/sysutils/entr/distinfo	Sun Aug 11 06:48:44 2013	(r324575)
@@ -1,2 +1,2 @@
-SHA256 (entr-2.1.tar.gz) = be189e9e161f9da783ed2d25c84abf51bb90cf813e9047f49bf76443d1d9a801
-SIZE (entr-2.1.tar.gz) = 11237
+SHA256 (entr-2.2.tar.gz) = 16f6726a9ab19210763b95cffd06063668bccc03e6e9f6deeb8b601087640678
+SIZE (entr-2.2.tar.gz) = 11964
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-08-11 08:19:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-08-11 08:33:24 UTC
Author: jgh
Date: Sun Aug 11 07:33:16 2013
New Revision: 324576
URL: http://svnweb.freebsd.org/changeset/ports/324576

Log:
  - prefix should be manprefix
  
  PR:		181150
  Approved by:	danilogondolfo@gmail.com (maintainer, implicit)

Modified:
  head/sysutils/entr/Makefile

Modified: head/sysutils/entr/Makefile
==============================================================================
--- head/sysutils/entr/Makefile	Sun Aug 11 06:48:44 2013	(r324575)
+++ head/sysutils/entr/Makefile	Sun Aug 11 07:33:16 2013	(r324576)
@@ -11,7 +11,7 @@ COMMENT=	Runs arbitrary commands when fi
 WRKSRC=	${WRKDIR}/eradman-entr-963b395019be
 
 MAKEFILE=	Makefile.bsd
-MAKE_ARGS=	MANPREFIX=${PREFIX}/man
+MAKE_ARGS=	MANPREFIX=${MANPREFIX}/man
 PLIST_FILES=	bin/entr
 MAN1=	entr.1
 MANCOMPRESSED=	no
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"